# libpysal.cg.get_point_at_angle_and_dist

libpysal.cg.get_point_at_angle_and_dist(ray, angle, dist)

  Returns the point at a distance and angle relative to the origin of a ray.

  Parameters:
    ray `libpysal.cg.Ray`

      The ray to which `angle` and `dist` are relative.

    angle `python:float`

      The angle relative to `ray` at which `point` is located.

    dist `python:float`

      The distance from the origin of `ray` at which `point` is located.

  Returns:
    point `libpysal.cg.Point`

      The point at `dist` and `angle` relative to the origin of `ray`.

  Examples

      >>> ray = Ray(Point((0, 0)), Point((1, 0)))
      >>> pt = get_point_at_angle_and_dist(ray, math.pi, 1.0)
      >>> isinstance(pt, Point)
      True

      >>> round(pt[0], 8)
      -1.0

      >>> round(pt[1], 8)
      0.0